<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <title th:text="#{admin.deleteUser.Title(${userName})}"></title>

    <object th:replace="fragments/global_includes :: global_includes" th:remove="tag">...</object>
</head>
<body class="nhs-bsa-pensions nhs-bsa">

<div th:replace="fragments/header :: header">...</div>

<main id="content" role="main">

    <div th:replace="fragments/phase_banner :: phase_banner">...</div>
    <div th:replace="fragments/service_header :: logout_back_current_users">...</div>

    <div class="grid-row">
        <div class="column-two-thirds">

            <form th:action="@{/confirm-delete-user}" th:object="${deleteUser}" method="post" class="form" novalidate="novalidate" id="confirm-delete-user-form">
                <div class="error-summary" th:if="${#fields.hasAnyErrors()}" id="delete-user-error-message" role="group" aria-labelledby="delete-user-error-heading" tabindex="-1">
                    <h1 class="heading-medium error-summary-heading" id="delete-user-error-heading" th:text="#{errorSummary1}">Some questions have not been answered correctly:</h1>
                    <p th:text="#{errorSummary2}" id="contributions-error-text">Please see the errors below.</p>
                    <ul class="error-summary-list">
                        <li th:if="${#fields.hasErrors('deleteUserYesNo')}"><a th:href="@{#radio-yes}" th:errors="*{deleteUserYesNo}" id="delete-user-error-list1">Error message</a></li>
                    </ul>
                </div>

                <h1 id="main-heading" class="heading-large">
                    <span class="heading-secondary" th:text="#{serviceHeader}" id="service-name-text">Make payments to the NHS Pension Scheme</span>
                    <span class="heading-large" th:text="#{admin.deleteUser.header(${userName})}" id="accounts-heading">Are you sure you want to delete {0} account?</span>
                </h1>

                <!-- Hidden Uuid to store in model -->
                <div class="visually-hidden" aria-hidden="true" style="display:none;">
                    <input id="uuid" type="text" th:field="*{uuid}"> </input>
                </div>

                    <fieldset>
                        <legend class="visuallyhidden" id="confirm-delete-user-label" tabindex="-1" th:text="#{admin.deleteUser.header(${userName})}">Are you sure you want to delete {0} account?</legend>

                        <div class="form-group" id="confirm-deleteUserYesNo" th:classappend="${#fields.hasErrors('deleteUserYesNo')}? error">
                        <label class="block-label selection-button-radio" for="radio-yes" id="yes-label">
                            <input id="radio-yes" class="validate-radio-input" data-validate-radio-input="radio-group" type="radio" name="deleteUserYesNo" value="Y" th:field="*{deleteUserYesNo}"/>
                            <span th:text="#{radio.yes}" id="yes-text">Yes</span>
                        </label>
                        <label class="block-label selection-button-radio" for="radio-no" id="no-label">
                            <input id="radio-no" class="validate-radio-input" data-validate-radio-input="radio-group" type="radio" name="deleteUserYesNo" value="N" th:field="*{deleteUserYesNo}"/>
                            <span th:text="#{radio.no}" id="no-text">No</span>
                        </label>
                        </div>
                    </fieldset>

                <div class="form-group" id="delete-user-button">
                    <button type="submit" id="confirm-delete-user-button" class="button" th:text="#{button.confirm}">Add</button>
                </div>

            </form>

        </div>
    </div>

</main>

<div th:replace="fragments/footer :: footer">...</div>
<div th:replace="fragments/scripts :: scripts" th:remove="tag">...</div>

</body>
</html>